Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class FrameArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.FrameArrayAttribute

public class FrameArrayAttribute
extends Attribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`FrameArrayAttribute()`
`FrameArrayAttribute(java.lang.String name, ResourceFrame[] def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object value)` Is the provided object a suitable value for this attribute ? If so, store it into the given store.
`java.lang.String` | `stringify(java.lang.Object value)`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameArrayAttribute

    public FrameArrayAttribute(java.lang.String name,
                               ResourceFrame[] def,
                               int flags)

### FrameArrayAttribute

    public FrameArrayAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object value)

  Description copied from class: Attribute
  Is the provided object a suitable value for this attribute ? If so, store it into the given store.
  Overrides:
    checkValue in class Attribute
  Tags copied from class: Attribute
  Parameters:
    `value` - The value to check.
    `store` - The array to store the value to if succeed.
    `idx` - The location in the above array.
  Returns:
    A boolean true if this object can be used as a value for this attribute.
  Throws:
    IllegalAttributeAccess - If the provided value doesn't match the expected type.

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Overrides:
    stringify in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD